/*
 * pcon.h : 
 *   by uratan! 2008.9.9
 */
#ifndef __PCON_H__
#define __PCON_H__

/* PCON: Power Control register */
#define PC_IDL         (1<<0)
#define PC_PD          (1<<1)
#define PC_xPDBOD      (1<<2)
#define PC_BODPDM      (1<<3)
#define PC_BOGD        (1<<4)
#define PC_BORD        (1<<5)

/* PCONP: Power Control for Peripherals register */
					/* (1<< 0) */
#define PP_PCTIM0      (1<< 1)
#define PP_PCTIM1      (1<< 2)
#define PP_PCUART0     (1<< 3)
#define PP_PCUART1     (1<< 4)
#define PP_PCPWM0      (1<< 5)
					/* (1<< 6) */
#define PP_PCI2C0      (1<< 7)
#define PP_PCSPI0      (1<< 8)
#define PP_PCRTC       (1<< 9)
#define PP_PCSPI1      (1<<10)
					/* (1<<11) */
#define PP_PCAD0       (1<<12)
					/* (1<<13) */
					/*   ...   */
					/* (1<<18) */
#define PP_PCI2C1      (1<<19)
#define PP_PCAD1       (1<<20)
					/* (1<<21) */
					/*   ...   */
					/* (1<<30) */
#define PP_PUSB        (1<<31)


#endif /* __PCON_H__ */
